Skip to main content
GET
Get a runnable by ID
Retrieve a runnable by its ID. The response includes the full runnable configuration and metadata.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

200 - application/json

The runnable

id
string<uuid>
required

The unique identifier for the runnable

account_id
string
required

The account ID that owns this runnable

name
string
required

The name of the runnable

config_content
string
required

The raw configuration content

config_content_parsed
object
required

The parsed configuration content

config_content_type
enum<string>
required

The type of runnable configuration

Available options:
prompt,
flow,
agent
config_content_sha256
string
required

SHA256 hash of the configuration content

created_at
string<date-time>
required

When the runnable was created

updated_at
string<date-time>
required

When the runnable was last updated

description
string

Optional description of the runnable

created_by
string

The ID of the user who created this runnable

tags
string[]

Optional tags for the runnable